Subject: Re: [PATCH v2] setup: update error message to be more meaningful

From: Kaartic Sivaraam <[email-masked]>
Date: Wed, 04 Oct 2017 19:48:07 +0530

On Tue, 2017-10-03 at 09:32 +0900, Junio C Hamano wrote:
> 
> As an aside, I wonder if we want to _() the message.  It's outside
> the scope of this fix, obviously.
> 

I'm surprised it isn't already! I think it should.

As an aside, I wanted to know whether we should add
'test_expect_failure's for commands of the following sort,

    git log -p --full-diff master --stat
     
    git commit -v Makefile --amend

just to keep us reminded that these are accepted not by design but by
accident ?

---
Kaartic